
#ifndef KLLMWIDGETS_EXPORT_H
#define KLLMWIDGETS_EXPORT_H

#ifdef KLLMWIDGETS_STATIC_DEFINE
#  define KLLMWIDGETS_EXPORT
#  define KLLMWIDGETS_NO_EXPORT
#else
#  ifndef KLLMWIDGETS_EXPORT
#    ifdef KLLMWidgets_EXPORTS
        /* We are building this library */
#      define KLLMWIDGETS_EXPORT __attribute__((visibility("default")))
#    else
        /* We are using this library */
#      define KLLMWIDGETS_EXPORT __attribute__((visibility("default")))
#    endif
#  endif

#  ifndef KLLMWIDGETS_NO_EXPORT
#    define KLLMWIDGETS_NO_EXPORT __attribute__((visibility("hidden")))
#  endif
#endif

#ifndef KLLMWIDGETS_DEPRECATED
#  define KLLMWIDGETS_DEPRECATED __attribute__ ((__deprecated__))
#endif

#ifndef KLLMWIDGETS_DEPRECATED_EXPORT
#  define KLLMWIDGETS_DEPRECATED_EXPORT KLLMWIDGETS_EXPORT KLLMWIDGETS_DEPRECATED
#endif

#ifndef KLLMWIDGETS_DEPRECATED_NO_EXPORT
#  define KLLMWIDGETS_DEPRECATED_NO_EXPORT KLLMWIDGETS_NO_EXPORT KLLMWIDGETS_DEPRECATED
#endif

#if 0 /* DEFINE_NO_DEPRECATED */
#  ifndef KLLMWIDGETS_NO_DEPRECATED
#    define KLLMWIDGETS_NO_DEPRECATED
#  endif
#endif

#endif /* KLLMWIDGETS_EXPORT_H */
