
#ifndef KLLMCORE_EXPORT_H
#define KLLMCORE_EXPORT_H

#ifdef KLLMCORE_STATIC_DEFINE
#  define KLLMCORE_EXPORT
#  define KLLMCORE_NO_EXPORT
#else
#  ifndef KLLMCORE_EXPORT
#    ifdef KLLMCore_EXPORTS
        /* We are building this library */
#      define KLLMCORE_EXPORT __attribute__((visibility("default")))
#    else
        /* We are using this library */
#      define KLLMCORE_EXPORT __attribute__((visibility("default")))
#    endif
#  endif

#  ifndef KLLMCORE_NO_EXPORT
#    define KLLMCORE_NO_EXPORT __attribute__((visibility("hidden")))
#  endif
#endif

#ifndef KLLMCORE_DEPRECATED
#  define KLLMCORE_DEPRECATED __attribute__ ((__deprecated__))
#endif

#ifndef KLLMCORE_DEPRECATED_EXPORT
#  define KLLMCORE_DEPRECATED_EXPORT KLLMCORE_EXPORT KLLMCORE_DEPRECATED
#endif

#ifndef KLLMCORE_DEPRECATED_NO_EXPORT
#  define KLLMCORE_DEPRECATED_NO_EXPORT KLLMCORE_NO_EXPORT KLLMCORE_DEPRECATED
#endif

#if 0 /* DEFINE_NO_DEPRECATED */
#  ifndef KLLMCORE_NO_DEPRECATED
#    define KLLMCORE_NO_DEPRECATED
#  endif
#endif

#endif /* KLLMCORE_EXPORT_H */
